Subject: bug#3984:

From: Stefan Monnier <[email-masked]>
Date: Thu, 19 Sep 2013 16:59:38 -0400

> "advice-test-called-interactively-p" test in test/automated/advice-tests.el
> happens to pass, but only because it doesn't use "called-interactively-p"
> inside the original function, but rather only inside the advice
> itself.

Indeed.  And it a very important case: the main definition of a function
can be modified to not use called-interactively-p (add an argument which
is set to a non-nil value in the interactive spec), but that's not
really an option for an advice that requires to know if the function was
called interactively (strictly speaking, it can be done, but it's a lot
more trouble).

        Stefan